# making pngs once more

cd /home/hollan/light/PV

DD=$3
DD=`echo $DD | sed -rn 's/0([1-9])/\1/; p' `
Mo=$2
Y=$1
Ho=$4
Ho=`echo $Ho | sed -rn 's/0([1-9])/\1/; p' `

echo $Y $Mo $DD $Ho

if (( $Ho \> 11 )) 
 then
 DD=$[$DD+1]
 if (( $DD \< 10 )) 
  then
  DD=0$DD
 else
  if (( $DD \> 31 )) 
   then
   DD=01
   Mo=`echo $Mo | sed -rn 's/0([1-9])/\1/; p' `
   Mo=$[$Mo+1]
   if (( $Mo \< 10 )) 
    then
     Mo=0$Mo
   fi
  fi
 fi 
else
 if (( $DD \< 10 )) 
 then
  DD=0$DD
 fi
fi

D=${Y/20}$Mo$DD
M=${Y/20}$Mo

echo $D

if (( $Ho \> 0 )) 
 then
S='/tmp/day1'
echo $4 $5 $6 $7 $8 >$S


Slu=`echo $6 | sed -rn 's/^(.).*/\1/; p' `
if (( $Slu \> 0 ))
 then 
  Slux="'$S' using (3600*((\$1<12 ? 24 : 0) + \$1)+60*\$2):(log10(\$3)) "
  Sluxt=" title 'luxmetre'  with points 3 , "
fi 

if [[ $Slu = "0" ]]
 then 
  Slux="'$S' using (3600*((\$1<12 ? 24 : 0) + \$1)+60*\$2):(log10(\$3)) "
  Sluxt=" title 'luxmetre'  with points 3 , "
fi 

Sb=`echo $7 | sed -rn 's/^(.).*/\1/; p' `
if (( $Sb \> 0 ))
 then 
  Sba="'$S' using (3600*((\$1<12 ? 24 : 0) + \$1)+60*\$2):((21.6-\$4+0.25)/2.5 -3)"
  Sbat="title 'SQM with ball, zenith, (21.6-SQM+0.25)/2.5 -3' with points 5 , "
fi 

Snb=`echo $8 | sed -rn 's/^(.).*/\1/; p' `
if (( $Snb \> 0 ))
 then 
  Snba="'$S' using (3600*((\$1<12 ? 24 : 0) + \$1)+60*\$2):((21.6-\$5)/2.5 -3)"
  Snbat="title 'SQM direct, zenith, (21.6-SQM)/2.5 -3' with points 6 , "
fi 

echo $Slu $Slux $Sluxt
echo $Sb $Sba $Sbat
echo $Snb $Snba $Snbat

CAL1="/   title 'PV data' with lines 4/{a\\"
CAL2=" $Slux $Sluxt $Sba $Sbat $Snba $Snbat "
CAL3=" }"

echo $CAL1
echo $CAL2
echo $CAL3

CAL=`echo $CAL2 | sed -rn 's/ //g; p' `

if [[ $CAL != '' ]]
then


cd $M
 if [ -a $D.txt.gz ]
 then 
  gzip -d $D.txt.gz 
 fi

cd ..

ln -s $M/$D.txt ./
ln -s $M/${D}_m.txt ./
ln -s $M/${D}d.txt ./


LC_TIME=C

HH=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`


#2006 08 17 23 30  no  no  19.04 


for F in final_lar_mpw.sh
do
 nbgnp=`sed -rn '/ night_ba/{s/.*( night_ba[a-z_]+)\.gnp.*/\1/p}' $F`
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/
         s/f\(x\)/f(x,t)/ 
	 s/c\*/(c-0.05*((24-t)\/20 + 0.12 - 1.2*(((14-t)**2)\/1000)))*/
	 s/3\.0\)/3.0,\$3)/ 
	 $CAL1
	 $CAL2 \\\\
	 $CAL3" $nbgnp.gnp > /tmp/U.gnp
 sed -r "/ night_ba/{s| (night_ba[a-z_]+)\.gnp | /tmp/U.gnp |}"  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

scp ${D}_mpw.png jhollan@amper:www/light/luminance/PV/$M

mv ${D}_mpw.png $M


rm ${D}d.txt
rm $D.txt
rm ${D}_m.txt

cd $M
gzip $D.txt
cd ..

fi

fi
