# making pngs once more

cd /home/hollan/light/PV

D=$1
M=`date "+%y%m" -d $D`

cd $M
 if [ -a $D.txt.gz ]
 then 
  gzip -d $D.txt.gz 
 fi

cd ..

ln -s $M/$D.txt ./
ln -s $M/${D}_m.txt ./
ln -s $M/${D}d.txt ./


LC_TIME=C

HH=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`

for F in final_lar_mpw.sh
do
 nbgnp=`sed -rn '/ night_ba/{s/.*( night_ba[a-z_]+)\.gnp.*/\1/p}' $F`
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/
         s/f\(x\)/f(x,t)/ 
	 s/c\*/(c-0.05*((24-t)\/20 + 0.12 - 1.2*(((14-t)**2)\/1000)))*/
	 s/3\.0\)/3.0,\$3)/ 
	 " $nbgnp.gnp > /tmp/U.gnp
 sed -r "/ night_ba/{s| (night_ba[a-z_]+)\.gnp | /tmp/U.gnp |}"  $F > /tmp/$F
 chmod +x /tmp/$F  
 /tmp/$F $D 
done

rm ${D}d.txt
rm $D.txt
rm ${D}_m.txt

cd $M
gzip $D.txt
cd ..
